#include <bits/stdc++.h>
using namespace std;

int sieve[2000001];
int a[200001];

vector <pair <int, int>> cannon[200001];
int global[200001];

long long divisors = 1;

void cannonize(int idx) {
    int num = a[idx];

    while (num != 1) {
        int div = sieve[num], br = 0;

        while (num % div == 0) {
            br++;
            num /= div;
        }

        cannon[idx].push_back({div, br});
    }
}

long long add(int idx) {
    for (auto p : cannon[idx]) { /// {prime, br}
        divisors /= (global[p.first] + 1);
        global[p.first] += p.second;
        divisors *= (global[p.first] + 1);
    }

    return divisors;
}

long long remove(int idx) {
    for (auto p : cannon[idx]) { /// {prime, br}
        divisors /= (global[p.first] + 1);
        global[p.first] -= p.second;
        divisors *= (global[p.first] + 1);
    }

    return divisors;
}

int main() {

    ios_base::sync_with_stdio(false);
    cin.tie(0);
    cout.tie(0);

    for (int i = 2; i <= 2000000; i++) {
        if (sieve[i] == 0) {
            for (int j = i; j <= 2000000; j += i) {
                if (sieve[j] == 0) sieve[j] = i;
            }
        }
    }

    long long n, k, ans = 0;
    cin >> n >> k;

    for (int i = 0; i < n; i++) {
        cin >> a[i];
        cannonize(i);

        //cout << a[i] << " : ";
        //for (auto p : cannon[i]) cout << "(" << p.first << ", " << p.second << "); ";
        //cout << endl;
    }

    int j = -1;

    for (int i = 0; i < n; i++) {
        while (j + 1 < n && add(j + 1) < k) {
            j++;
        }

        if (j + 1 < n) remove(j + 1);
        //cout << i << ' ' << j << endl;
        ans += n - j - 1;

        if (j < i) {
            add(j + 1);
            j++;
        }

        remove(i);
    }

    cout << ans << endl;
    return 0;

}
