#include <iostream>
#include <vector>
using namespace std;
typedef unsigned long long ull;
typedef long long ll;

ull sum = 1;
ull a[200001];
ull exp[2000001];
bool composite[2000001];
bool done[2000001];
vector<pair<ull, ull>> interval;
vector<pair<ull, ull>> pdiv[2000001];
vector<ull> prime;

void factor(ull n, bool div) {
    if (!done[n]) {
        for (ull i = 0; i < prime.size(); i++) {
            ll cnt = 0;
            while (n % prime[i] == 0) {
                n /= prime[i];
                cnt++;
            }
            if (cnt != 0) {
                if (div) {
                    cnt = -cnt;
                }
                sum /= exp[prime[i]] + 1;
                sum *= exp[prime[i]] + cnt + 1;
                exp[prime[i]] += cnt;
            }
            pdiv[n].push_back(make_pair(prime[i], abs(cnt)));
        }
        if (n != 1) {
            ll cnt = 1;
            if (div) {
                cnt = -cnt;
            }
            sum /= exp[n] + 1;
            sum *= exp[n] + cnt + 1;
            exp[n] += cnt;
            pdiv[n].push_back(make_pair(n, abs(cnt)));
        }
        done[n] = 1;
    } else {
        for (auto i : pdiv[n]) {
            ll cnt = i.second;
            if (div) {
                cnt = -cnt;
            }
            sum /= exp[i.first] + 1;
            sum *= exp[i.first] + cnt + 1;
        }
    }
}

int main () {
    ios_base::sync_with_stdio(0);
    cin.tie(0);
    cout.tie(0);
    for (ull i = 2; i * i < 2000001; i++) {
        if (!composite[i]) {
            for (ull j = i * i; j < 2000001; j += i) {
                composite[j] = 1;
            }
        }
    }
    for (ull i = 2; i < 1500; i++) {
        if (!composite[i]) {
            prime.push_back(i);
        }
    }
    ull n, r = 0;
    ull k;
    cin >> n >> k;

    for (ull i = 0; i < n; i++) {
        cin >> a[i];
    }
    factor(a[0], 0);
    for (ull l = 0; l < n; l++) {
        while ((sum < k && r + 1 < n) || (l > r)) {
            r++;
            factor(a[r], 0);
        }
        if (sum >= k) {
            interval.push_back(make_pair(l, r));
        }
        factor(a[l], 1);
    }
    ull ans = 0;
    for (ull i = 0; i < interval.size(); i++) {
        ull rbound = 0;
        if (i == interval.size() - 1) {
            rbound = n;
        } else {
            rbound = interval[i + 1].second;
        }
        ans += (ull)(interval[i].first + 1) * (rbound - interval[i].second);
    }
    cout << ans;
}
